FLS(9)

NAME
fls - find last set bit in word

SYNOPSIS

int fls(int x);

ARGUMENTS

x
    the word to search

DESCRIPTION

This is defined in a similar way as the libc and compiler builtin ffs, but returns the position of the most significant set bit.

fls(value) returns 0 if value is 0 or the position of the last set bit if value is nonzero. The last (most significant) bit is at position 32.

COPYRIGHT